// change, consistently with day field, the date field
function add_change_day_handler(elem, day_field_id, date_field_id) {
    elem.addEventListener('change', function(e) {
		const setted_weekday = document.getElementById(day_field_id).value;
		const date_input = document.getElementById(date_field_id);
		if (date_input.value.length !== 0){
			const date = new Date(date_input.value);
			let weekday = date.getDay();
			weekday = (weekday == 0) ? 7 : weekday;
			if (weekday != setted_weekday ) {
				let weekday_diff = setted_weekday - weekday;
				date.setDate(date.getDate() + weekday_diff);
				date_input.value = date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
			}
		}    
	});
}

// change, consistently with date field, the day field 
function add_change_date_handler(elem, day_field_id, date_field_id) {
	elem.addEventListener('change', function(e) {
		const setted_date = document.getElementById(date_field_id).value;
		const day_input = document.getElementById(day_field_id);
		let setted_weekday = day_input.value;
		let date_weekday = new Date(setted_date).getDay();
		date_weekday = (date_weekday == 0) ? 7 : date_weekday;
		if (date_weekday != setted_weekday) {
			day_input.value = date_weekday;
		}
	});
}

for (var i = 0; i < 7 ; i++) {
	let onair_day_input = document.getElementById("on_air_day_" + i);
	let rerun_day_input = document.getElementById("rerun_day_" + i);
	let onair_date_input = document.getElementById("on_air_start_date_" + i);
	let rerun_date_input = document.getElementById("rerun_start_date_" + i);
	add_change_day_handler(onair_day_input, "on_air_day_" + i, "on_air_start_date_" + i);
	add_change_day_handler(rerun_day_input, "rerun_day_" + i, "rerun_start_date_" + i);
	add_change_date_handler(onair_date_input, "on_air_day_" + i, "on_air_start_date_" + i);
	add_change_date_handler(rerun_date_input, "rerun_day_" + i, "rerun_start_date_" + i);

}